using System.ComponentModel.DataAnnotations;

namespace Watcher.ViewModels;

public class EditUserSettingsViewModel
{
    [Required]
    public string? Username { get; set; }

    [Required]
    [DataType(DataType.Password)]
    public string? NewPassword { get; set; }

    [Required]
    [DataType(DataType.Password)]
    [Compare("NewPassword", ErrorMessage = "Passwörter stimmen nicht überein.")]
    public string? ConfirmPassword { get; set; }
}
